# Form implementation generated from reading ui file 'src/eric7/QScintilla/SpellingDictionaryEditDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SpellingDictionaryEditDialog(object):
    def setupUi(self, SpellingDictionaryEditDialog):
        SpellingDictionaryEditDialog.setObjectName("SpellingDictionaryEditDialog")
        SpellingDictionaryEditDialog.resize(500, 400)
        SpellingDictionaryEditDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(SpellingDictionaryEditDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.infoLabel = QtWidgets.QLabel(parent=SpellingDictionaryEditDialog)
        font = QtGui.QFont()
        font.setBold(True)
        font.setWeight(75)
        self.infoLabel.setFont(font)
        self.infoLabel.setText("")
        self.infoLabel.setWordWrap(True)
        self.infoLabel.setObjectName("infoLabel")
        self.verticalLayout.addWidget(self.infoLabel)
        self.line_2 = QtWidgets.QFrame(parent=SpellingDictionaryEditDialog)
        self.line_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_2.setObjectName("line_2")
        self.verticalLayout.addWidget(self.line_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.searchEdit = QtWidgets.QLineEdit(parent=SpellingDictionaryEditDialog)
        self.searchEdit.setMinimumSize(QtCore.QSize(300, 0))
        self.searchEdit.setToolTip("")
        self.searchEdit.setClearButtonEnabled(True)
        self.searchEdit.setObjectName("searchEdit")
        self.horizontalLayout.addWidget(self.searchEdit)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.line = QtWidgets.QFrame(parent=SpellingDictionaryEditDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.gridLayout.addWidget(self.line, 1, 1, 1, 1)
        self.addButton = QtWidgets.QPushButton(parent=SpellingDictionaryEditDialog)
        self.addButton.setAutoDefault(False)
        self.addButton.setObjectName("addButton")
        self.gridLayout.addWidget(self.addButton, 0, 1, 1, 1)
        self.removeButton = QtWidgets.QPushButton(parent=SpellingDictionaryEditDialog)
        self.removeButton.setAutoDefault(False)
        self.removeButton.setObjectName("removeButton")
        self.gridLayout.addWidget(self.removeButton, 2, 1, 1, 1)
        self.removeAllButton = QtWidgets.QPushButton(parent=SpellingDictionaryEditDialog)
        self.removeAllButton.setAutoDefault(False)
        self.removeAllButton.setObjectName("removeAllButton")
        self.gridLayout.addWidget(self.removeAllButton, 3, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 28, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem1, 4, 1, 1, 1)
        self.wordList = EricListView(parent=SpellingDictionaryEditDialog)
        self.wordList.setAlternatingRowColors(True)
        self.wordList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.wordList.setObjectName("wordList")
        self.gridLayout.addWidget(self.wordList, 0, 0, 5, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SpellingDictionaryEditDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(SpellingDictionaryEditDialog)
        self.buttonBox.accepted.connect(SpellingDictionaryEditDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(SpellingDictionaryEditDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(SpellingDictionaryEditDialog)
        SpellingDictionaryEditDialog.setTabOrder(self.searchEdit, self.wordList)
        SpellingDictionaryEditDialog.setTabOrder(self.wordList, self.removeButton)
        SpellingDictionaryEditDialog.setTabOrder(self.removeButton, self.removeAllButton)
        SpellingDictionaryEditDialog.setTabOrder(self.removeAllButton, self.buttonBox)

    def retranslateUi(self, SpellingDictionaryEditDialog):
        _translate = QtCore.QCoreApplication.translate
        SpellingDictionaryEditDialog.setWindowTitle(_translate("SpellingDictionaryEditDialog", "Edit Spelling Dictionary"))
        self.searchEdit.setPlaceholderText(_translate("SpellingDictionaryEditDialog", "Enter search term"))
        self.addButton.setToolTip(_translate("SpellingDictionaryEditDialog", "Press to add an entry"))
        self.addButton.setText(_translate("SpellingDictionaryEditDialog", "&Add"))
        self.removeButton.setToolTip(_translate("SpellingDictionaryEditDialog", "Press to remove the selected entries"))
        self.removeButton.setText(_translate("SpellingDictionaryEditDialog", "&Remove"))
        self.removeAllButton.setToolTip(_translate("SpellingDictionaryEditDialog", "Press to remove all entries"))
        self.removeAllButton.setText(_translate("SpellingDictionaryEditDialog", "R&emove All"))
from eric7.EricWidgets.EricListView import EricListView
